% Capture raw frames directly from the camera, with no depthPipeline. This 
% is only advisable when dealing with camera configurations that are not 
% supported by our depth pipeline
%

serial = '202001a';
fileName = 'frames_raw_gige.csf';
numFrames = 40;
dropFrames = 100;

cam = tof.GigeInterface();
msg = cam.find(serial);
cam.connect(msg);

writer = tof.createCsfWriterGigeInterface(fileName, cam);

% For usb interface
% dev = tof.usbDeviceFind(serial);
% cam = tof.UsbInterface(dev);
% 
% writer = tof.createCsfWriterUsbInterface(fileName, cam);

cam.startDepthStream(tof.DepthStreamType.RAW);

for i = 1:dropFrames
    frame = cam.getDepthData();
end

disp('Frames dropped');

for i = 1:numFrames
    frame = cam.getDepthData();
    mat = frame.data();
    writer.writeFrame(frame);
end

cam.stopDepthStream();
cam.disconnect();
